
function onBegin()
	disableMovement()
	disableRetry()
	makeUnskippable()
	setFlag("NEO-stylegroundscroll",false)
	setFlag("NEO-stylegrounddontscroll",true)
	say("CC_Deltarune_SpamtonNeoH")
	setFlag("NEO-stylegrounddontscroll",false)
	setFlag("NEO-stylegroundscroll",true)
	playMusic("event:/CC/CC_Deltarune/CC_Deltarune_realboy",0)
	playSound("event:/CC/CC_Deltarune/CC_Deltarune_won_skipping")
	setFlag("NEO-freedom",true)
	setFlag("NEO-freedomBg",true)
	setFlag("NEO-spamtonstart",false)
	say("CC_Deltarune_SpamtonNeoI")
	wait(0.5)
	setFlag("NEO-WireAnim",true)
	setFlag("NEO-freedom",false)
	setFlag("NEO-WireD",false)
	playMusic("event:/none",0)
	playSound("event:/CC/CC_Deltarune/CC_Deltarune_bigcut")
	wait(0.9)
	setFlag("NEO-SpamtonDying",true)
	setFlag("NEO-WireAnim",false)
	wait(0.6)
	setFlag("NEO-SpamtonDeath",true)
	setFlag("NEO-SpamtonDying",false)
	wait(0.9)
	setFlag("NEO-SpamtonDead",true)
	setFlag("NEO-SpamtonDeath",false)
	setFlag("NEO-uncompleted",false)
	wait(3.1)
end

function onEnd()
	enableMovement()
	enableRetry()
	teleportTo(6520, -1228, "bonus03", "ThinkForABit")
end